#!/bin/sh
FILE=/usr/share/nginx/html/assets/config.json
if test -f "$FILE"; then 
	echo "config file already provided"
	exit 0
fi 

TEMPLATE=/usr/share/nginx/html/assets/config-template.json
cp $TEMPLATE $FILE

sed -i -e "s|__DASHBOARD_BASE_URL__|$DASHBOARD_BASE_URL|g" $FILE
sed -i -e "s|__IDM_BASE_URL__|$IDM_BASE_URL|g" $FILE
sed -i -e "s|__TRAFFIC_PREDICTION_API_BASE_URL__|$TRAFFIC_PREDICTION_API_BASE_URL|g" $FILE
sed -i -e "s|__GLTRAFFIC_API_BASE_URL__|$GLTRAFFIC_API_BASE_URL|g" $FILE 
sed -i -e "s|__BIKE_ANALYSIS_API_BASE_URL__|$BIKE_ANALYSIS_API_BASE_URL|g" $FILE
sed -i -e "s|__IDRA_BASE_URL__|$IDRA_BASE_URL|g" $FILE
sed -i -e "s|__DATALET_BASE_URL__|$DATALET_BASE_URL|g" $FILE
sed -i -e "s|__TRAFFICSIMSERVER_API_BASE_URL__|$TRAFFICSIMSERVER_API_BASE_URL|g" $FILE
sed -i -e "s|__DASHBOARD_CTRL_API_BASE_URL__|$DASHBOARD_CTRL_API_BASE_URL|g" $FILE
sed -i -e "s|__BUS_OD_API_BASE_URL__|$BUS_OD_API_BASE_URL|g" $FILE
sed -i -e "s|__BIKETRAJECTORY_API_BASE_URL__|$BIKETRAJECTORY_API_BASE_URL|g" $FILE
sed -i -e "s|__DEFAULT_PILOT__|$DEFAULT_PILOT|g" $FILE
sed -i -e "s|__NOISECOMPUTATION_API_BASE_URL__|$NOISECOMPUTATION_API_BASE_URL|g" $FILE
sed -i -e "s|__ODFROMCOUNTS_API_BASE_URL__|$ODFROMCOUNTS_API_BASE_URL|g" $FILE
sed -i -e "s|__TRAFFIC_SIMULATION_BASE_URL__|$TRAFFIC_SIMULATION_BASE_URL|g" $FILE
sed -i -e "s|__TRAFFIC_SIMULATION_STORAGE_URL__|$TRAFFIC_SIMULATION_STORAGE_URL|g" $FILE
sed -i -e "s|__TRAFFIC_SIMULATION_DSS_URL__|$TRAFFIC_SIMULATION_DSS_URL|g" $FILE
sed -i -e "s|__TRAFFIC_SIMULATION_STOMP_URL__|$TRAFFIC_SIMULATION_STOMP_URL|g" $FILE
sed -i -e "s|__UI_DATA_STORAGE_URL__|$UI_DATA_STORAGE_URL|g" $FILE
