export enum CloningOptionType {
    NONE =      'NONE',
    MENU =      'MENU',
    TARGETS =   'TARGETS',
    COMPONENTS ='COMPONENTS',
    ALL =       'ALL',
  }
  
  export namespace CloningOptionType {
    export function values() {
      return Object.keys(CloningOptionType)
        .filter((type) => isNaN(<any>type) && type !== 'values')
        .map((x) => {
          return {
            enumVal: x,
            value: x,
          };
        });
    }
  }