export enum TargetType {
  PERSON = 'PERSON',
  GROUP = 'GROUP',
  ROLE = 'ROLE',
  PUBLIC = 'PUBLIC'
}

export namespace TargetType {
  export function values() {
    return Object.keys(TargetType)
      .filter((type) => isNaN(<any>type) && type !== 'values')
      .map((x) => {
        return {
          enumVal: x,
          value: x,
        };
      });
  }
}