
export interface IGroupRepresentation {
    id?: string;
    name?: string;
    path?: string;
    subGroups?: Array<IGroupRepresentation>;
  }
  
  export class GroupRepresentation implements IGroupRepresentation {
    constructor(
      public id?: string,
      public name?: string,
      public path?: string,
      public subGroups?:  Array<IGroupRepresentation>
    ) {}
  }
  
  export function getGroupRepresentationIdentifier(groupRepresentation: IGroupRepresentation): string | undefined {
    return groupRepresentation.id;
  }