import { TargetType } from "./enumeration/target-type.model";

export interface ITargetAvailable {
  id?: number;
  type?: TargetType;
  code?: string;
  value?: string;
  //createdDate?: dayjs.Dayjs | null;
  createdBy?: string | null;
}

export class TargetAvailable implements ITargetAvailable {
  constructor(
    public id?: number,
    public type?: TargetType,
    public code?: string,
    public value?: string,
    //public createdDate?: dayjs.Dayjs | null,
    public createdBy?: string | null
  ) {}
}

export function getTargetAvailableIdentifier(targetAvailable: ITargetAvailable): number | undefined {
  return targetAvailable.id;
}