
export interface IUser {
  id?: string;
  username?: string;
  firstName?: string;
  lastName?: string;
  email?: string;
}

export class User implements IUser {
  constructor(
    public id?: string,
    public username?: string,
    public firstName?: string,
    public lastName?: string,
    public email?: string
  ) {}
}

export function getUserIdentifier(user: IUser): string | undefined {
  return user.id;
}