import { Component, OnInit, Input } from '@angular/core';
import { NbDialogRef } from '@nebular/theme';

@Component({
  selector: 'ngx-dashboard-guide',
  templateUrl: './dashboard-guide.component.html',
  styleUrls: ['./dashboard-guide.component.scss']
})
export class DashboardGuideComponent implements OnInit {

  info: string;
  stepperIndex: number;
  constructor(protected dialogRef: NbDialogRef<DashboardGuideComponent>) { }

  ngOnInit(): void {
    console.log("STEPPER INDEX");
    console.log(this.stepperIndex);
  }

  close(){
    this.dialogRef.close();
  }

}
