import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DataCatalogueComponent } from './data-catalogue.component';
import { DatasetComponent } from './dataset/dataset.component';
import { SearchComponent } from './search/search.component';
import {DatasetFilteredComponent} from './dataset-filtered/dataset-filtered.component';

const routes: Routes = [
  {
  path: '',
  component: DataCatalogueComponent,

  children: [
  {
  path: '',
  component: SearchComponent
},
{
  path:'filtered',
  component: DatasetFilteredComponent
},
{
  path:':id',
  component: DatasetComponent
},
]
  }];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class DataCatalogueRoutingModule { }
