import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { HomeRoutingModule } from './home-routing.module';
import { HomeComponent } from './home.component';
import { NbCardModule, NbDialogModule, NbIconModule, NbTooltipModule } from '@nebular/theme';
import { MatCardModule } from '@angular/material/card';
import { CarouselModule } from 'ngx-owl-carousel-o';
import { DetailDialogComponent } from './detail-dialog/detail-dialog.component';


@NgModule({
  declarations: [HomeComponent, DetailDialogComponent],
  imports: [
    CommonModule,
    HomeRoutingModule,
    NbCardModule,
    MatCardModule,
    CarouselModule,
    NbIconModule,
    NbTooltipModule,
    NbDialogModule
  ]
})
export class HomeModule { }
