import { CloningOptionType } from "./enumeration/cloning-option-type.model";

export interface ICloneDashboard {
  id?: number;
  dashboardName?: string;
  option?: CloningOptionType | null;
}

export class CloneDashboard implements ICloneDashboard {
  constructor(
    public id?: number,
    public dashboardName?: string,
    public option?: CloningOptionType | null
  ) {
  }
}

export function getCloneDashboardIdentifier(cloneDashboard: ICloneDashboard): number | undefined {
  return cloneDashboard.id;
}