export enum ComponentType {
  TEXT = 'TEXT',
  IMAGE = 'IMAGE',
  CHART = 'CHART',
  IFRAME = 'IFRAME',
  WEATHER = 'WEATHER',
  MAP = 'MAP',
  STATISTICS = 'STATISTICS'
}


export namespace ComponentType {
  export function values() {
    return Object.keys(ComponentType)
      .filter((type) => isNaN(<any>type) && type !== 'values')
      .map((x) => {
        return {
          enumVal: x,
          value: x,
        };
      });
  }
}
