export enum MenuType {
  SHARED = 'SHARED',
  PRIVATE = 'PRIVATE',
  PUBLIC = 'PUBLIC',
 
}

export namespace MenuType {
  export function values() {
    return Object.keys(MenuType)
      .filter((type) => isNaN(<any>type) && type !== 'values')
      .map((x) => {
        return {
          enumVal: x,
          value: x.toLowerCase(),
        };
      });
  }
}