export enum Subtype {
  Layer = 'Layer',
  HeatLayer = 'HeatLayer',
}

export namespace Subtype {
  export function values() {
    return Object.keys(Subtype)
      .filter((type) => isNaN(<any>type) && type !== 'values')
      .map((x) => {
        return {
          enumVal: x,
          value: x.toLowerCase(),
        };
      });
  }
}