
export interface IRoleRepresentation {
    id?: string;
    name?: string;
    description?: string;
    composite?: boolean;
    clientRole?: boolean;
  }
  
  export class RoleRepresentation implements IRoleRepresentation {
    constructor(
      public id?: string,
      public name?: string,
      public description?: string,
      public composite?: boolean,
      public clientRole?: boolean
    ) {}
  }
  
  export function getRoleRepresentationIdentifier(roleRepresentation: IRoleRepresentation): string | undefined {
    return roleRepresentation.id;
  }