import { Component, OnDestroy, OnInit } from '@angular/core';

@Component({
  selector: 'ngx-data-catalogue',
  template: `
    <router-outlet></router-outlet>
  `,
})
export class DataCatalogueComponent implements OnInit, OnDestroy {

  constructor() {
  }
  ngOnInit(): void {
  }
  
  ngOnDestroy(): void{
    this.clearState();
  }
  clearState(){
    console.log("Clearing state");
    localStorage.removeItem("filters");
    localStorage.removeItem("filtersTags");
    localStorage.removeItem("searchRequest");
    localStorage.removeItem("searchRequest.filters");
    localStorage.removeItem("searchRequest.rows");
    localStorage.removeItem("searchRequest.count");
    localStorage.removeItem("searchResponse.facets");
    localStorage.removeItem("searchResponse.results");
    localStorage.removeItem("cataloguesInfos");
    localStorage.removeItem("page");
   }
}
