import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { ConfigService } from '@ngx-config/core';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class GetDayService {

  private apiURL: any;

  constructor(configService: ConfigService,private http:HttpClient) {
    this.apiURL = configService.getSettings("biketrajectory_api_base_url");
  }

  getValues(day:string): Observable<any> {
    return this.http.get<any>(`${this.apiURL}/get_day?day=`+day);
  }
}