import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { ConfigService } from '@ngx-config/core';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class GetOdmatrixService {
  private apiURL: any;
  constructor(configService: ConfigService,private http:HttpClient) {
    this.apiURL = configService.getSettings("bike_analysis_api_base_url");
  }
  // getMatrix(feature_combo, areas, model_id, dateS, period)
  getMatrix(feature_combo:number, areas:string, model_id:number, dateS:string,period:number): Observable<any> {
    return this.http.get<any>(`${this.apiURL}/webresources/getBikeAnalysis/getODMatrixPeriod/`+feature_combo+`/`+areas+`/`+model_id+'/'+dateS+'/'+period);
  }
}