import { Injectable } from '@angular/core';
import { BehaviorSubject, Subject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class LoaderService {
  isLoading$ = new BehaviorSubject<boolean>(false);
  loader = this.isLoading$.asObservable();


  constructor() { }

  show() {
    this.isLoading$.next(true);
   
 }

 hide() {
    this.isLoading$.next(false);
 
    
  }
}
